DCMTK - Bug #413

Worklist Management SCP does not support "Matching Multiple Values™
2012-05-10 10:08 - J6rg Riesmeier

Status: Closed Start date: 2012-05-10
Priority: High Due date:

Assignee: Jan Schlamelcher % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.2

Module: demwlm Compiler:

Operating System:

Description

The DICOM-standard (PS 3.4 Section K.2.2.3) specifies how to proceed with Matching if the database contains more than one value.
This seems to be ignored by the current implementation. Found in the DICOM training session in May 2012 (in the
ScheduledStationAETitle attribute, which contains more than one value in the worklist entry).

Related issues:

Related to DCMTK - Conformance #776: Ensure multiple value matching is implem... New 2017-07-17
Has duplicate DCMTK - Bug #584: Incorrect matching on multi-valued worklist e... Closed 2014-01-14
History

#1 - 2012-06-20 15:54 - JO6rg Riesmeier
- Category set to Library

- Target version set to 3.6.2

#2 - 2013-04-28 23:58 - Andrew Chiw

- Subject changed from Worklist Management SCP unterstiitzt kein "Matching Multiple Values" to Worklist Management SCP does not support
"Matching Multiple Values"

#3 - 2014-01-14 17:38 - Jorg Riesmeier
Also see Bug #584.

#4 - 2017-04-17 19:08 - Marco Eichelberg

Apparently, "Matching Multiple Values" is orthogonal to the attribute matching type, because the permitted matching types are defined in section
K2.2.2 and Matching Multiple Values is defined in section K2.2.3 of DICOM part 4. This means that we have to support Matching Multiple Values for
each and every matching key.

#5 - 2017-04-18 12:04 - J6rg Riesmeier

This means that we have to support Matching Multiple Values for each and every matching key.

| don't think that this is correct. Matching multiple values only applies to those attributes that allow for storing multiple values, i.e. VM != 1. For
examples, Scheduled Station AE Title, VM = 1-n.

#6 - 2017-05-02 17:36 - Jan Schlamelcher

- Assignee set to Jan Schlamelcher

#7 - 2017-07-10 10:48 - J6rg Riesmeier

- Description updated

#8 - 2017-07-17 10:37 - Jan Schlamelcher
Closed by commit #93da64af32038dc83 and recently veryfied.

Discussion has been separated into a separate issue #776.
http://support.dcmtk.org/redmine/issues/584
http://support.dcmtk.org/redmine/issues/776

#9 - 2017-07-17 10:45 - Jan Schlamelcher
- Status changed from New to Closed

- % Done changed from 0 to 100
